Class | Merb::Template::Erubis
In: | lib/merb-core/controller/template.rb
Parent: | Object

### Methods

compile_template

### Classes and Modules

Module Merb::Template::Erubis::Mixin

### Constants

XmlHelper | = | ::Erubis::XmlHelper |  | Fixing bug in Erubis rubyforge.org/tracker/index.php?func=detail&aid=21825&group_id=1320&atid=5201

### Public Class methods

compile_template(io, name, locals, mod)

#### Parameters

io<path>: | An IO containing the full path of the template.
name<String>: | The name of the method that will be created.
locals<Array[Symbol]>: | A list of locals to assign from the args passed into the compiled template.
mod<Module>: | The module that the compiled method will be placed into.

:api: private

[Validate]